List import files
List import files. Use query parameter to narrow list
Required permissions: IMPORT
get/tenants/{tenantUid}/imports/files
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
importTemplateUidsstring[]Optional
Reference to a Import Template.
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
importFileStatestring · enum · min: 1Optional
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Import not started |
| IMPORT_IN_PROGRESS | Import is running |
| IMPORT_ABORT | Import is aborting |
| IMPORT_ABORTED | Import has been aborted |
| VALIDATE_IN_PROGRESS | Validate is running |
| COMPLETE_NOTHING_TO_IMPORT | Import is done, but there where nothing to import |
| COMPLETE | Import complete |
| VALIDATE_FAILED | Validate failed |
| IMPORT_FAILED | Import failed |
| IMPORT_ABORT | Import is aborting |
| IMPORT_ABORTED | Import has been aborted |
| READY_TO_IMPORT | Validation OK, import is ready |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/imports/files
GET /v2/tenants/{tenantUid}/imports/files HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"importFileUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"state": "NOT_STARTED",
"filename": "text",
"columnCount": 1,
"rowCount": 1,
"progressCount": 1,
"errorCount": 1,
"ignoredCount": 1,
"estimatedRemainingTime": 1,
"estimatedRemainingTimeText": "text",
"totalTime": 1,
"operation": "INSERT",
"errorMessage": "text",
"template": {
"templateUid": "text",
"name": "text",
"description": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"layouts": [
{
"layoutUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"conversions": [
{
"conversionUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"fromValue": "text",
"toValue": "text"
}
],
"fieldName": "text",
"value": "text"
}
],
"entity": "PRODUCTS",
"importFormat": "EXCEL",
"fields": [
{
"name": "text",
"type": "text",
"allowedValues": [
"text"
],
"createUsage": {
"usage": "REQUIRED",
"requiredExchangeableWith": [
"text"
]
},
"updateUsage": {
"usage": "REQUIRED",
"requiredExchangeableWith": [
"text"
]
}
}
]
}
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

